<?php
$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_c3632c30d13c0678877605a29c10c" . "428" => base64_decode("IEdST1VQIEJZIG9iamVjdF9p" . "ZCkgdA=="), "_8a2c4179b7" . "145f57e0389" . "3c306413ae2" => base64_decode("U0VMRUNUIG9iamVjdF9pZCwgQ09VTlQodXNlcl9pZCkgdmlld3MsIENPVU5UKERJU1RJTkNUIHVzZXJfaWQpIHVuaXF1ZV92aWV3ZXJzIEZST00gc3RhdF92aWV3cyBXSEVSRSBhZ2dyZW" . "dhdGlvbiA9IGludDphZ2dyZWdhdGlvbiBBTkQg"), "_31fe0e29fdfc834bf81efd515" . "f8390b2" => base64_decode("IEdST1VQIEJZIG9iamVjdF9pZCBPUkRFUiBCWSB2aWV3cyBERVND" . "LCB1bmlxdWVfdmlld2VycyBERVNDLCBvYmplY3RfaWQgQVND"), "_bfe6642a5b68bf0dfbe0e38d0c9f9b" . "b3" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCBvYmplY3RfaWQgRlJPTSBzdGF0X3ZpZXdz" . "IFdIRVJFIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9uIEFORCA="), "aggregati" . "on" => base64_decode("YWdncmVnYXR" . "pb24="));
use Claromentis\Core\DAL;
abstract class StatReportTopViewList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 10;
        $this->rows_per_page = 20;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_8a2c4179b7145f5" . "7e03893c306413ae" . "2"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_31fe0e29fdfc834bf81efd515f83" . "90b2"]);
        $query->Bind($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["aggr" . "egat" . "ion"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_bfe6642a5b68bf0df" . "be0e38d0c9f9bb3"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_c3632c30d13c0678877605a29c10" . "c428"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
}